> For the complete documentation index, see [llms.txt](https://docs.bcbi.brown.edu/codiac-for-health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bcbi.brown.edu/codiac-for-health/computing/r/file-input-output.md).

# File Input/Output

When coding in R, you will often need to input datasets to work with! The easiest ways to do so are either from a .csv file or a .txt file. To do this, you can use the read.csv() and read\_table() functions, respectively. The following demonstrates these functions using a hypothetical "hospital\_data" dataset.&#x20;

To output a file from R, use the syntax sink("FileName.FileType").

## File Input:

```r
#If the dataset is already loaded into the R directory
read.csv("hospital_data.csv")
read_table("hospital_data.txt")

#To add a new dataset from machine downloads to directory (Mac)
read.csv("/users/username/Downloads/hospital_data.csv")
read_table("/users/username/Downloads/hospital_data.txt")

#To add a new dataset from machine desktop to directory (Windows)
read.csv("C:\\Users\\username\\Desktop\\hospital_data.csv")
read_table("C:\\Users\\username\\Desktop\\hospital_data.txt")

#Note that forward slashes are used on Mac and backwards slashes are used by Windows
```

## File Output:

```r
#To output a file as a .txt file:
sink("hospital_data.txt")

#To output a file as a .csv file:
sink("hospital_data.csv")
```

## Resources:

* R Documentation: [read.csv file input](https://cran.r-project.org/doc/manuals/r-release/R-data.html#Variations-on-read_002etable)
  * More read.csv resources [Import .csv files in R](https://teacherscollege.screenstepslive.com/a/1122473-import-data-in-r-csv-files-into-r-studio)
* R Documentation: [read\_table file input](https://cran.r-project.org/doc/manuals/r-release/R-intro.html#The-read_002etable_0028_0029-function)
* R Documentation: [File output](https://cran.r-project.org/doc/manuals/r-release/R-intro.html#Executing-commands-from-or-diverting-output-to-a-file)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bcbi.brown.edu/codiac-for-health/computing/r/file-input-output.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
